Package Details: treesheets-git r297.7c4ad33-1

Git Clone URL: https://aur.archlinux.org/treesheets-git.git (read-only, click to copy)
Package Base: treesheets-git
Description: The ultimate replacement for spreadsheets, mind mappers, outliners, PIMs, text editors and small databases
Upstream URL: http://treesheets.com
Licenses: zlib
Submitter: prurigro
Maintainer: prurigro
Last Packager: prurigro
Votes: 32
Popularity: 1.39
First Submitted: 2013-06-14 04:57
Last Updated: 2021-02-11 05:17

Dependencies (3)

Required by (0)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

prurigro commented on 2014-04-01 10:28

Hmm, no dice even with wxgtk compiled the way they request on the site... I'm thinking this is going to require specifying a particular revision, which I'll look into soon.

orschiro commented on 2014-04-01 10:09

@prurigro

I was able to build it by replacing 'wxgtk2.9' with 'wxgtk' in depends and replacing wx-config-2.9 with wx-config in build.

prurigro commented on 2014-04-01 09:58

Hey all- I've been trying to get this to build with the 3.x wxgtk package without luck, but I'm gonna try rebuilding to see if that helps. I'll report back tomorrow.

emulti commented on 2014-02-24 13:26

Just to report I see the same error in 'build' as some_name:

In file included from main.cpp:124:0:
myframe.h: In member function 'virtual void treesheets::MyFrame::MyFrame(wxString, wxApp*)::MyLog::DoLogText(const wxString&)':
myframe.h:60:35: error: cannot convert 'const wxString' to 'const wchar_t*' for argument '1' to 'int fputws(const wchar_t*, __FILE*)'
fputws(msg, stderr);
^
==> ERROR: A failure occurred in build().
Aborting...

orschiro commented on 2014-02-21 06:21

@some_name

Thanks! I forgot to mention that you also have to replace wx-config-2.9 with wx-config.

@prurigro

Can you please update the PKGBUILD?

some_name commented on 2014-02-21 05:01

Using the generic wxgtk package fails to compile for me.

The only changes to the PKGBUILD are replacing 'wxgtk2.9' with 'wxgtk' in depends and replacing wx-config-2.9 with wx-config in build.

makepkg output: https://gist.github.com/vanzomerenc/9129035

orschiro commented on 2014-02-16 06:22

Error fixed upstream:

https://github.com/aardappel/treesheets/issues/14#issuecomment-35175737

All you have to change in your PKGBUILD is removing wxgtk2.9 for the generic package:

depends=('wxgtk' 'webkitgtk2')

orschiro commented on 2014-01-27 13:06

@prurigro

Thanks for testing. I do not have wx-2.9 installed as there is no package for it:

➜ ~ cat /usr/include/wx-
wx-2.8/ wx-3.0/

The only packages available on Arch are wxgtk2.8 and 3.0

https://www.archlinux.org/packages/?sort=&q=wxgtk&maintainer=&flagged=

Should this incompatibility be reported to upstream?

prurigro commented on 2014-01-27 06:20

@orschiro: I just ran a test build and it compiled successfully. According to the error, it can't seem to find the "wx.h" header file, which should be located @ "/usr/include/wx-2.9/wx/wx.h" - is that file present in your filesystem?

orschiro commented on 2014-01-24 06:46

Even when changing dependency from wxgtk2.9 to wxgtk, the packaging throws out the following error:

-> Creating working copy of treesheets git repo...
Cloning into 'treesheets'...
done.
Branch makepkg set up to track remote branch master from origin.
Switched to a new branch 'makepkg'
==> Starting pkgver()...
==> Updated version: treesheets-git 9151105-1
==> Starting build()...
/home/orschiro/Projects/pkgbuild/treesheets-git/PKGBUILD: line 24: wx-config-2.9: command not found
In file included from main.cpp:2:0:
stdafx.h:2:19: fatal error: wx/wx.h: No such file or directory
#include <wx/wx.h>
^
compilation terminated.
In file included from stdafx.cpp:1:0:
stdafx.h:2:19: fatal error: wx/wx.h: No such file or directory
#include <wx/wx.h>
^
compilation terminated.
==> ERROR: A failure occurred in build().
Aborting...

Can anyone confirm this?